FIREHOSE(1)

NAME
firehose - Demultiplex a firehose stream

SYNOPSIS

firehose [ -f input ] [ -o output-directory ] [ -u uuid ] [ -h ] [ --version ] [prefix1 [...]]

SUMMARY

firehose demultiplexes the given stream of multiplexed connections, and writes each connection to an individual file.

When writing to files, each connection is placed into a dedicated file named after the UUID of the connection within the stream. Separate files will be created if requests and responses are found in the stream.

If an optional prefix is specified as a parameter, connections that start with the given prefix will be included. The prefix needs to fit completely within the first fragment for a successful match to occur.

OPTIONS

--file, -f filename
    File to read the firehose from. Defaults to stdin.

--output-directory, -o  output-directory
    Directory to write demultiplexed connections to.

--uuid, -u uuid
    The UUID of the connection to demultiplex. Can be specified more than once. If not specified, all UUIDs will be demultiplexed.

--help, -h
    This help text.

--version
    Display the version of the program.